Subject: Re: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Clément Pit-Claudel <[email-masked]>
Date: Fri, 31 Jan 2020 10:51:08 -0500

On 2020-01-31 10:32, Eli Zaretskii wrote:
>> Unless people were complaining about the old behavior for this
>> particular face, I think that behavior was fine.

> IMO it was not fine, because Emacs was behaving differently from
> every other application out there which supports some form of
> highlighting text that spans several lines.

OK, good point, I never paid attention to that.

> The newline is inside the parentheses, but the empty space to the 
> right of the newline is not part of the text.  Why should it be 
> highlighted?

For the same reason that the region highlight goes to the edge of the window, I think.

>> Is there a reason to highlight one blank space at the end of each
>> line, though, instead of only highlighting the text?
> 
> That blank space stands for the newline, so if the newline has that 
> face, the space glyph at EOL gets highlighted to indicate that fact.

I see; I would expect that space to be visible only in whitespace-mode (in fact, when enabling whitespace-mode, there's now a character to indicate the line ending and a highlighted whitespace next to it)